Skip to main content
GET
/
builder
/
trades
Get builder trades
curl --request GET \
  --url https://clob.polymarket.com/builder/trades
import requests

url = "https://clob.polymarket.com/builder/trades"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://clob.polymarket.com/builder/trades', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "limit": 300,
  "next_cursor": "MzAw",
  "count": 2,
  "data": [
    {
      "id": "trade-123",
      "tradeType": "TAKER",
      "takerOrderHash": "0xabcdef1234567890abcdef1234567890abcdef12",
      "builder": "0x0000000000000000000000000000000000000000000000000000000000000001",
      "market": "0x0000000000000000000000000000000000000000000000000000000000000001",
      "assetId": "15871154585880608648532107628464183779895785213830018178010423617714102767076",
      "side": "BUY",
      "size": "100000000",
      "sizeUsdc": "50000000",
      "price": "0.5",
      "status": "TRADE_STATUS_CONFIRMED",
      "outcome": "YES",
      "outcomeIndex": 0,
      "owner": "f4f247b7-4ac7-ff29-a152-04fda0a8755a",
      "maker": "0x1234567890123456789012345678901234567890",
      "transactionHash": "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef",
      "matchTime": "1700000000",
      "bucketIndex": 0,
      "fee": "300000",
      "feeUsdc": "150000",
      "createdAt": "2024-01-01T00:00:00Z",
      "updatedAt": "2024-01-01T00:00:00Z"
    }
  ]
}
{
"error": "invalid builder trade params"
}
{
"error": "could not fetch builder trades"
}

Query Parameters

builder_code
string
required

Builder code to fetch attributed trades for

Pattern: ^0x[a-fA-F0-9]{64}$
id
string

Trade ID to filter by specific trade

market
string

Market (condition ID) to filter trades

Pattern: ^0x[a-fA-F0-9]{64}$
asset_id
string

Asset ID (token ID) to filter trades

before
string

Filter trades before this Unix timestamp

Pattern: ^\d+$
after
string

Filter trades after this Unix timestamp

Pattern: ^\d+$
next_cursor
string

Cursor for pagination (base64 encoded offset)

Response

Successfully retrieved builder trades

Paginated builder trades response

limit
integer
required

Maximum number of items per page

Example:

300

next_cursor
string
required

Cursor for next page (base64 encoded offset). "LTE=" indicates no more pages

Example:

"MzAw"

count
integer
required

Number of items in current response

Example:

2

data
object[]
required

Array of builder trades